Package org.apache.lucene.search.uhighlight

## Enum UnifiedHighlighter.HighlightFlag

- java.lang.Object
- - java.lang.Enum<UnifiedHighlighter.HighlightFlag>
  - - org.apache.lucene.search.uhighlight.UnifiedHighlighter.HighlightFlag

- All Implemented Interfaces:
    `Serializable`, `Comparable<UnifiedHighlighter.HighlightFlag>`
  Enclosing class:
    UnifiedHighlighter

      public static enum UnifiedHighlighter.HighlightFlag
      extends Enum<UnifiedHighlighter.HighlightFlag>

  Flags for controlling highlighting behavior.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MULTI_TERM_QUERY` |
    `PASSAGE_RELEVANCY_OVER_SPEED` |
    `PHRASES` |
    `WEIGHT_MATCHES` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UnifiedHighlighter.HighlightFlag` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static UnifiedHighlighter.HighlightFlag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PHRASES

          public static final UnifiedHighlighter.HighlightFlag PHRASES

      See Also:
        `UnifiedHighlighter.Builder.withHighlightPhrasesStrictly(boolean)`

    - #### MULTI_TERM_QUERY

          public static final UnifiedHighlighter.HighlightFlag MULTI_TERM_QUERY

      See Also:
        `UnifiedHighlighter.Builder.withHandleMultiTermQuery(boolean)`

    - #### PASSAGE_RELEVANCY_OVER_SPEED

          public static final UnifiedHighlighter.HighlightFlag PASSAGE_RELEVANCY_OVER_SPEED

      See Also:
        `UnifiedHighlighter.Builder.withPassageRelevancyOverSpeed(boolean)`

    - #### WEIGHT_MATCHES

          public static final UnifiedHighlighter.HighlightFlag WEIGHT_MATCHES

      See Also:
        `UnifiedHighlighter.Builder.withWeightMatches(boolean)`

  - ### Method Detail

    - #### values

          public static UnifiedHighlighter.HighlightFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnifiedHighlighter.HighlightFlag c : UnifiedHighlighter.HighlightFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnifiedHighlighter.HighlightFlag valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null